KDE 4.9 PyKDE API Reference

- KDE's Python API

# KMultiTabBarButton Class Reference

`from PyKDE4.kdeui import *`

Inherits: QPushButton → QAbstractButton → QWidget → QObject
Subclasses: KMultiTabBarTab

## Detailed Description

Use KMultiTabBar.appendButton to append a button, which creates a KMultiTabBarButton instance

## Signals

| clicked (int id)

## Methods

| __init__ (self, QPixmap pic, QString a1, int id, QWidget parent)
| hideEvent (self, QHideEvent a0)
int | id (self)
| paintEvent (self, QPaintEvent a0)
| setText (self, QString text)
| showEvent (self, QShowEvent a0)
| slotClicked (self)

## Signal Documentation

clicked | ( | int | id
| ) |  |  |

this is emitted if the button is clicked

Parameters:

  | id | the ID identifying the button

Signal syntax:
  `QObject.connect(source, SIGNAL("clicked(int)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QPixmap | pic,
|  | QString | a1,
|  | int | id,
|  | QWidget | parent
| ) |  |  |

Should not be created directly. Use KMultiTabBar.appendButton

hideEvent | ( | self, |
|  | QHideEvent | a0
| ) |  |  |

int id | ( |  | self ) |

paintEvent | ( | self, |
|  | QPaintEvent | a0
| ) |  |  |

setText | ( | self, |
|  | QString | text
| ) |  |  |

showEvent | ( | self, |
|  | QShowEvent | a0
| ) |  |  |

slotClicked | ( |  | self ) |